Package Details: pomatez 1.6.4-1

Git Clone URL: https://aur.archlinux.org/pomatez.git (read-only, click to copy)
Package Base: pomatez
Description: Stay Focused. Take a Break.
Upstream URL: https://zidoro.github.io/pomatez/
Licenses: MIT
Submitter: ravi0li
Maintainer: Lulzagna
Last Packager: Lulzagna
Votes: 6
Popularity: 1.62
First Submitted: 2020-10-22 20:33 (UTC)
Last Updated: 2023-12-17 15:15 (UTC)

Latest Comments

begin-theadventu commented on 2024-03-24 00:30 (UTC)

@Lulzagna Hello, this is a -bin package, please change the name.

Lulzagna commented on 2023-10-22 13:52 (UTC)

Thank-you @kerhong.

I didn't even notice because github.com redirects properly, seems github.io does not though. Updated.

kerhong commented on 2023-10-19 12:29 (UTC)

The upstream for this project is outdated. https://roldanjr.github.io/pomatez/ no longer exists and is now at https://zidoro.github.io/pomatez/

Sources also should be at https://github.com/zidoro/pomatez/releases, as https://github.com/roldanjr/pomatez/releases redirects to https://github.com/zidoro/pomatez/releases

Lulzagna commented on 2023-01-16 15:34 (UTC)

Bumped to 1.2.2.

Also added a symlink to fix path issue.

The missing app-update.yml seems to be an app issue and not a package/install issue.

q-wertz commented on 2022-12-20 08:40 (UTC) (edited on 2022-12-21 15:03 (UTC) by q-wertz)

A new release (which is not only a tag) was published few hours ago: https://github.com/roldanjr/pomatez/releases/tag/v1.2.1

EDIT:

And 1.2.2 followed today: https://github.com/roldanjr/pomatez/releases/tag/v1.2.2

kivans commented on 2022-12-06 10:45 (UTC) (edited on 2022-12-12 08:56 (UTC) by kivans)

That's true, the installation location seems to be wrong, fixable with a symbolic link such as:

sudo ln -s /opt/Pomatez/pomatez /usr/bin/pomatez

tribly commented on 2022-07-02 10:09 (UTC)

It extracts everyting to /opt/Pomatez, but with a standard installation /opt/ is not in $PATH. Also manually starting /opt/Pomatez/pomatez results in

(electron) 'systemPreferences.isDarkMode()' is deprecated and will be removed. Please use 'nativeTheme.shouldUseDarkColors' instead.
12:05:30.184 › Checking for update
12:05:30.224 › Error: Error: ENOENT: no such file or directory, open '/opt/Pomatez/resources/app-update.yml'
(node:116550) UnhandledPromiseRejectionWarning: Error: ENOENT: no such file or directory, open '/opt/Pomatez/resources/app-update.yml'
(node:116550) UnhandledPromiseRejectionWarning: Unhandled promise rejection. This error originated either by throwing inside of an async function without a catch block, or by rejecting a promise which was not handled with .catch(). To terminate the node process on unhandled promise rejection, use the CLI flag `--unhandled-rejections=strict` (see https://nodejs.org/api/cli.html#cli_unhandled_rejections_mode). (rejection id: 1)
(node:116550) [DEP0018] DeprecationWarning: Unhandled promise rejections are deprecated. In the future, promise rejections that are not handled will terminate the Node.js process with a non-zero exit code.
[116550:0702/120531.565692:FATAL:gpu_data_manager_impl_private.cc(442)] GPU process isn't usable. Goodbye.
[1]    116550 trace trap (core dumped)  ./pomatez

ravi0li commented on 2022-06-02 14:54 (UTC)

@Swivel Hey, I have looked at the points you mentioned. Firstly, according to https://github.com/roldanjr/pomatez/releases, the newest release is still v1.1.0 which matches the current PKGBUILD. Secondly, the PKGBUILD does install pomatez on your system. I tried it on my laptop and it installed just fine. Can you further explain what your problem is or offer some more insight so we can investigate this?

Swivel commented on 2022-06-02 03:55 (UTC)

This seems to be pretty out of date. In fact, after installing, it's not even in my PATH. Looking at the PKGBUILD, it doesn't actually seem to be doing anything significant.